# Carrier Accounts Carriers are the companies who deliver your package. Shippo uses Carrier account objects as credentials to retrieve shipping rates and purchase labels from shipping Carriers. ## List all carrier accounts - [GET /carrier_accounts](https://docs.goshippo.com/shippoapi/public-api/carrier-accounts/listcarrieraccounts.md): Returns a list of all carrier accounts connected to your Shippo account. These carrier accounts include both Shippo carrier accounts and your own carrier accounts that you have connected to your Shippo account. Additionally, you can get information about the service levels associated with each carrier account by passing in the ?service_levels=true query parameter. Using it appends the property service_levels to each carrier account. By default, if the query parameter is omitted, the service_levels property will not be included in the response. ## Create a new carrier account - [POST /carrier_accounts](https://docs.goshippo.com/shippoapi/public-api/carrier-accounts/createcarrieraccount.md): Creates a new carrier account or connects an existing carrier account to the Shippo account. ## Retrieve a carrier account - [GET /carrier_accounts/{CarrierAccountId}](https://docs.goshippo.com/shippoapi/public-api/carrier-accounts/getcarrieraccount.md): Returns an existing carrier account using an object ID. ## Update a carrier account - [PUT /carrier_accounts/{CarrierAccountId}](https://docs.goshippo.com/shippoapi/public-api/carrier-accounts/updatecarrieraccount.md): Updates an existing carrier account object. The account_id and carrier can't be updated. This is because they form the unique identifier together. ## Connect an existing carrier account using OAuth 2.0 - [GET /carrier_accounts/{CarrierAccountObjectId}/signin/initiate](https://docs.goshippo.com/shippoapi/public-api/carrier-accounts/initiateoauth2signin.md): Used by client applications to setup or reconnect an existing carrier account with carriers that support OAuth 2.0 ## Add a Shippo carrier account - [POST /carrier_accounts/register/new](https://docs.goshippo.com/shippoapi/public-api/carrier-accounts/registercarrieraccount.md): Adds a Shippo carrier account ## Get Carrier Registration status - [GET /carrier_accounts/reg-status](https://docs.goshippo.com/shippoapi/public-api/carrier-accounts/getcarrierregistrationstatus.md): Returns the registration status for the given account for the given carrier